bitlbee(8)

NAME
BitlBee - IRC gateway to IM chat networks

SYNOPSIS

bitlbee [-I] [-c configuration file] [-d configuration directory]

bitlbee -D [-i address] [-p port number] [-n] [-v] [-c configuration file] [-d configuration directory]

bitlbee -h

DESCRIPTION
BitlBee is an IRC daemon that can talk to instant messaging networks and acts as a gateway. Users can connect to the server with any normal IRC client and see their 'buddy list' in &bitlbee. It currently supports Oscar (AIM and ICQ), MSN, Jabber, Yahoo! and Twitter.

bitlbee should be called by inetd(8), or you can run it as a stand-alone daemon.

OPTIONS

-I  Run in inetd(8) mode. This is the default setting, you usually don't have to specify this option.

-D  Run in daemon mode. In this mode, BitlBee forks to the background and waits for new connections. All clients will be served from one process.

-F  Run in ForkDaemon mode. This is similar to ordinary daemon mode, but every client gets its own process. Easier to set up than inetd mode, and without the possible stability issues.

-i address
    Only useful when running in daemon mode, to specify the network interface (identified by IP address) to which the daemon should attach. Use this if you don't want BitlBee to listen on every interface (which is the default behaviour).

-p port number
    Only useful when running in daemon mode, to specify the port number on which BitlBee should listen for connections. 6667 is the default value.

-n  Only useful when running in daemon mode. This option prevents BitlBee from forking into the background.

-v  Be more verbose. This only works together with the -n flag.

-c path to other configuration file
    Use a different configuration file.

-d path to user settings directory
    BitlBee normally saves every user's settings in /var/lib/bitlbee/. If you want the settings to be stored somewhere else (for example, if you don't have write permissions in the default location), use this option.

-h  Show help information.

COMMANDS
To get a complete list of commands, please use the help commands command in the &bitlbee channel.

SEE ALSO
ircd(8), inetd(8), inetd.conf(5), gaim(1).

http://www.bitlbee.org/

For more information on using BitlBee, once connected, you should use the on-line help system.

BUGS
Of course there are bugs. If you find some, please report them at http://bugs.bitlbee.org/.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple PLace, Suite 330, Boston, MA 02111-1307 USA

AUTHORS

 Wilmer van der Gaast <wilmer@gaast.net>
 Jelmer Vernooij <jelmer@vernstok.nl>
 Maurits Dijkstra <mauritsd@xs4all.nl>